#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from six.moves.urllib.parse import quote
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor, MinEPGList, showPicons, showPiconBackground

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.5'
__CHEETAH_versionTuple__ = (3, 2, 5, 'final', 0)
__CHEETAH_genTime__ = 1607202289.450132
__CHEETAH_genTimestamp__ = 'Sat Dec  5 21:04:49 2020'
__CHEETAH_src__ = '/home/oe1/atv65arm/build-enviroment/builds/openatv/release/h9se/tmp/work/cortexa15hf-neon-vfpv4-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1.3.9+gitAUTOINC+868951b98c-r0/git/plugin/controllers/views/responsive/ajax/epgdialog.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Dec  5 21:04:43 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class epgdialog(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(epgdialog, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
''')
        piconCssClass = ''
        if VFFSL(SL,"showPiconBackground",True): # generated from line 6, col 1
            piconCssClass = 'picon--with-background'
        write('''
<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">view_list</i>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # "$tstrings['epgsearch']" on line 15, col 73
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearch']")) # from line 15, col 73.
        write('''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t<div class="body" id="epgcards">

''')
        if len(VFFSL(SL,"events",True)) == 0: # generated from line 21, col 1
            write('''\t\t\t<p>''')
            _v = VFFSL(SL,"tstrings",True)['epg_no_matches'] # "$tstrings['epg_no_matches']" on line 22, col 7
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['epg_no_matches']")) # from line 22, col 7.
            write('''</p>
''')
        else: # generated from line 23, col 1
            write('''
''')
            dataid = 0
            for event in VFFSL(SL,"events",True): # generated from line 26, col 1
                channel = VFN(VFFSL(SL,"event.sname",True),"replace",False)("'", r"\'")
                title = VFN(VFFSL(SL,"event.title",True),"replace",False)("'", r"\'")
                sref = quote(VFFSL(SL,"event.sref",True), safe=' ~@#$&()*!+=:;,.?/\'')
                write('''
''')
                if VFFSL(SL,"MinEPGList",True) == 'checked': # generated from line 31, col 1
                    write('''
\t\t<div class="row row-striped clearfix pad-top-15">
\t\t\t<div class="col-xs-12 col-md-6">
\t\t\t\t<div class="row">
\t\t\t\t\t<div class="col-xs-3">
\t\t\t\t\t\t<span class="epg__picon ''')
                    _v = VFFSL(SL,"piconCssClass",True) # '$piconCssClass' on line 37, col 31
                    if _v is not None: write(_filter(_v, rawExpr='$piconCssClass')) # from line 37, col 31.
                    write('''">
\t\t\t\t\t\t\t<img src="''')
                    _v = VFFSL(SL,"event.picon",True) # '$event.picon' on line 38, col 18
                    if _v is not None: write(_filter(_v, rawExpr='$event.picon')) # from line 38, col 18.
                    write('''" title="" class="img-responsive" style="width:80px;margin-top:-10px">
\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="col-xs-9">
\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#evenid''')
                    _v = VFFSL(SL,"dataid",True) # '$dataid' on line 42, col 58
                    if _v is not None: write(_filter(_v, rawExpr='$dataid')) # from line 42, col 58.
                    write('''" aria-expanded="false"aria-controls="collapseExample" style="cursor:pointer;">
\t\t\t\t\t\t\t\t<b>''')
                    _v = VFFSL(SL,"event.sname",True) # '$event.sname' on line 43, col 12
                    if _v is not None: write(_filter(_v, rawExpr='$event.sname')) # from line 43, col 12.
                    write('''</b> - ''')
                    _v = VFFSL(SL,"event.title",True) # '$event.title' on line 43, col 31
                    if _v is not None: write(_filter(_v, rawExpr='$event.title')) # from line 43, col 31.
                    write('''<i class="material-icons material-icons-centered">expand_more</i>
\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-md-3">
\t\t\t\t\t\t<span>''')
                    _v = VFFSL(SL,"event.date",True) # '$event.date' on line 49, col 13
                    if _v is not None: write(_filter(_v, rawExpr='$event.date')) # from line 49, col 13.
                    write(''' - ''')
                    _v = VFFSL(SL,"event.begin",True) # '$event.begin' on line 49, col 27
                    if _v is not None: write(_filter(_v, rawExpr='$event.begin')) # from line 49, col 27.
                    write('''&nbsp;-&nbsp;''')
                    _v = VFFSL(SL,"event.end",True) # '$event.end' on line 49, col 52
                    if _v is not None: write(_filter(_v, rawExpr='$event.end')) # from line 49, col 52.
                    write('''&nbsp;(''')
                    _v = VFFSL(SL,"event.duration",True) # '$event.duration' on line 49, col 69
                    if _v is not None: write(_filter(_v, rawExpr='$event.duration')) # from line 49, col 69.
                    write(''' min.)</span>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-md-3 align-right">
\t\t\t\t\t\t<a href="javascript:void(0);" class="theme-link-color" onclick="addTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # '$sref' on line 52, col 86
                    if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 52, col 86.
                    write("""',""")
                    _v = VFFSL(SL,"event.id",True) # '$event.id' on line 52, col 93
                    if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 52, col 93.
                    write(''',false);return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_timer'] # "$tstrings['add_timer']" on line 52, col 132
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_timer']")) # from line 52, col 132.
                    write('''"><i class="material-icons material-icons-centered">alarm_add</i></a>
\t\t\t\t\t\t<a href="javascript:void(0);" class="deltimer theme-link-color" onclick="delTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # '$sref' on line 53, col 95
                    if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 53, col 95.
                    write("""',""")
                    _v = VFFSL(SL,"event.id",True) # '$event.id' on line 53, col 102
                    if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 53, col 102.
                    write(''');return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['delete_timer'] # "$tstrings['delete_timer']" on line 53, col 135
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['delete_timer']")) # from line 53, col 135.
                    write('''"></a>
\t\t\t\t\t\t<a href="javascript:void(0);" class="theme-link-color" data-dismiss="modal" data-toggle="modal" data-target="#TimerModal" data-evid="''')
                    _v = VFFSL(SL,"event.id",True) # '$event.id' on line 54, col 140
                    if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 54, col 140.
                    write('''" data-ref="''')
                    _v = VFFSL(SL,"sref",True) # '$sref' on line 54, col 161
                    if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 54, col 161.
                    write('''" title="''')
                    _v = VFFSL(SL,"tstrings",True)['edit_timer'] # "$tstrings['edit_timer']" on line 54, col 175
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['edit_timer']")) # from line 54, col 175.
                    write('''"><i class="material-icons material-icons-centered">alarm</i></a>
\t\t\t\t\t\t<a href="javascript:void(0);" class="theme-link-color" onclick="addTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # '$sref' on line 55, col 86
                    if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 55, col 86.
                    write("""',""")
                    _v = VFFSL(SL,"event.id",True) # '$event.id' on line 55, col 93
                    if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 55, col 93.
                    write(''',true);return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_zaptimer'] # "$tstrings['add_zaptimer']" on line 55, col 131
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_zaptimer']")) # from line 55, col 131.
                    write('''"><i class="material-icons material-icons-centered">rotate_90_degrees_ccw</i></a>
''')
                    if VFFSL(SL,"at",True): # generated from line 56, col 6
                        write('''\t\t\t\t\t\t<a href="javascript:void(0);" class="theme-link-color" onclick="addAutoTimerEvent(\'''')
                        _v = VFFSL(SL,"sref",True) # '$sref' on line 57, col 90
                        if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 57, col 90.
                        write("""','""")
                        _v = VFFSL(SL,"channel",True) # '$channel' on line 57, col 98
                        if _v is not None: write(_filter(_v, rawExpr='$channel')) # from line 57, col 98.
                        write("""','""")
                        _v = VFFSL(SL,"title",True) # '$title' on line 57, col 109
                        if _v is not None: write(_filter(_v, rawExpr='$title')) # from line 57, col 109.
                        write("""','""")
                        _v = VFFSL(SL,"event.begin",True) # '$event.begin' on line 57, col 118
                        if _v is not None: write(_filter(_v, rawExpr='$event.begin')) # from line 57, col 118.
                        write("""','""")
                        _v = VFFSL(SL,"event.end",True) # '$event.end' on line 57, col 133
                        if _v is not None: write(_filter(_v, rawExpr='$event.end')) # from line 57, col 133.
                        write('''\');return false;" title="''')
                        _v = VFFSL(SL,"tstrings",True)['add_autotimer'] # "$tstrings['add_autotimer']" on line 57, col 168
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_autotimer']")) # from line 57, col 168.
                        write('''"><i class="material-icons material-icons-centered">history</i></a>
''')
                    if VFFSL(SL,"extEventInfoProvider",True): # generated from line 59, col 6
                        write('''\t\t\t\t\t\t<a href="''')
                        _v = VFFSL(SL,"extEventInfoProvider",True)['url'] # "$extEventInfoProvider['url']" on line 60, col 16
                        if _v is not None: write(_filter(_v, rawExpr="$extEventInfoProvider['url']")) # from line 60, col 16.
                        _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # '$quote($event.title)' on line 60, col 44
                        if _v is not None: write(_filter(_v, rawExpr='$quote($event.title)')) # from line 60, col 44.
                        write('''" class="theme-link-color" title="''')
                        _v = VFFSL(SL,"tstrings",True)['search_'+VFFSL(SL,"extEventInfoProvider",True)['id']] # "$tstrings['search_'+$extEventInfoProvider['id']]" on line 60, col 98
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['search_'+$extEventInfoProvider['id']]")) # from line 60, col 98.
                        write('''" target="extdb">[''')
                        _v = VFFSL(SL,"extEventInfoProvider",True)['name'] # "$extEventInfoProvider['name']" on line 60, col 164
                        if _v is not None: write(_filter(_v, rawExpr="$extEventInfoProvider['name']")) # from line 60, col 164.
                        write(''']</a>
''')
                    write('''\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 collapse" id="evenid''')
                    _v = VFFSL(SL,"dataid",True) # '$dataid' on line 63, col 48
                    if _v is not None: write(_filter(_v, rawExpr='$dataid')) # from line 63, col 48.
                    write('''">
\t\t\t\t\t<p>''')
                    _v = VFFSL(SL,"event.shortdesc",True) # '$event.shortdesc' on line 64, col 9
                    if _v is not None: write(_filter(_v, rawExpr='$event.shortdesc')) # from line 64, col 9.
                    write('''</p>
\t\t\t\t\t<p>
\t\t\t\t\t''')
                    _v = VFN(VFN(VFFSL(SL,"event.longdesc",True),"replace",False)('\n',r'<br/>'),"replace",False)('\8a',r'<br/>') # "$event.longdesc.replace('\\n',r'<br/>').replace('\\8a',r'<br/>')" on line 66, col 6
                    if _v is not None: write(_filter(_v, rawExpr="$event.longdesc.replace('\\n',r'<br/>').replace('\\8a',r'<br/>')")) # from line 66, col 6.
                    write('''
\t\t\t\t\t</p>
\t\t\t\t</div>
\t\t\t</div>

''')
                else: # generated from line 71, col 1
                    write('''
\t\t<div class="row clearfix">
\t\t\t<div class="col-xs-12">
\t\t\t\t<div class="card" style="margin-bottom:-25px;">
\t\t\t\t\t<div class="header">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12 col-md-2" style="margin-bottom:-10px;">
\t\t\t\t\t\t\t\t<span class="epg__picon ''')
                    _v = VFFSL(SL,"piconCssClass",True) # '$piconCssClass' on line 79, col 33
                    if _v is not None: write(_filter(_v, rawExpr='$piconCssClass')) # from line 79, col 33.
                    write('''">
\t\t\t\t\t\t\t\t\t<img src="''')
                    _v = VFFSL(SL,"event.picon",True) # '$event.picon' on line 80, col 20
                    if _v is not None: write(_filter(_v, rawExpr='$event.picon')) # from line 80, col 20.
                    write('''" title="" class="img-responsive" style="width:100px;">
\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t<label style="display:block;">''')
                    _v = VFFSL(SL,"event.sname",True) # '$event.sname' on line 82, col 39
                    if _v is not None: write(_filter(_v, rawExpr='$event.sname')) # from line 82, col 39.
                    write('''</label>
''')
                    if 'ns' in VFFSL(SL,"event",True): # generated from line 83, col 9
                        write('''\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<span>
''')
                        if '4097:' in VFFSL(SL,"event.sref",True) or '5002:' in VFFSL(SL,"event.sref",True) or 'http%3a' in VFFSL(SL,"event.sref",True) or 'https%3a' in VFFSL(SL,"event.sref",True): # generated from line 86, col 10
                            write('''\t\t\t\t\t\t\t\t\t\tIPTV
''')
                        else: # generated from line 88, col 10
                            write('''\t\t\t\t\t\t\t\t\t\t''')
                            _v = VFFSL(SL,"event.service_type",True) # '$event.service_type' on line 89, col 11
                            if _v is not None: write(_filter(_v, rawExpr='$event.service_type')) # from line 89, col 11.
                            write(''' / ''')
                            _v = VFFSL(SL,"event.ns",True) # '$event.ns' on line 89, col 33
                            if _v is not None: write(_filter(_v, rawExpr='$event.ns')) # from line 89, col 33.
                            write('''
''')
                        write('''\t\t\t\t\t\t\t\t\t</span>
''')
                    write('''\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-md-6" style="word-break: break-all">
\t\t\t\t\t\t\t\t<h2>''')
                    _v = VFFSL(SL,"event.title",True) # '$event.title' on line 95, col 13
                    if _v is not None: write(_filter(_v, rawExpr='$event.title')) # from line 95, col 13.
                    write('''</h2>
\t\t\t\t\t\t\t\t<div>
\t\t\t\t\t\t\t\t<a href="javascript:void(0);" class="theme-link-color" onclick="addTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # '$sref' on line 97, col 88
                    if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 97, col 88.
                    write("""',""")
                    _v = VFFSL(SL,"event.id",True) # '$event.id' on line 97, col 95
                    if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 97, col 95.
                    write(''',false);return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_timer'] # "$tstrings['add_timer']" on line 97, col 134
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_timer']")) # from line 97, col 134.
                    write('''"><i class="material-icons material-icons-centered">alarm_add</i></a>
\t\t\t\t\t\t\t\t<a href="javascript:void(0);" class="deltimer theme-link-color" onclick="delTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # '$sref' on line 98, col 97
                    if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 98, col 97.
                    write("""',""")
                    _v = VFFSL(SL,"event.id",True) # '$event.id' on line 98, col 104
                    if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 98, col 104.
                    write(''');return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['delete_timer'] # "$tstrings['delete_timer']" on line 98, col 137
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['delete_timer']")) # from line 98, col 137.
                    write('''"></a>
\t\t\t\t\t\t\t\t<a href="javascript:void(0);" class="theme-link-color" data-dismiss="modal" data-toggle="modal" data-target="#TimerModal" data-evid="''')
                    _v = VFFSL(SL,"event.id",True) # '$event.id' on line 99, col 142
                    if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 99, col 142.
                    write('''" data-ref="''')
                    _v = VFFSL(SL,"sref",True) # '$sref' on line 99, col 163
                    if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 99, col 163.
                    write('''" title="''')
                    _v = VFFSL(SL,"tstrings",True)['edit_timer'] # "$tstrings['edit_timer']" on line 99, col 177
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['edit_timer']")) # from line 99, col 177.
                    write('''"><i class="material-icons material-icons-centered">alarm</i></a>
\t\t\t\t\t\t\t\t<a href="javascript:void(0);" class="theme-link-color" onclick="addTimerEvent(\'''')
                    _v = VFFSL(SL,"sref",True) # '$sref' on line 100, col 88
                    if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 100, col 88.
                    write("""',""")
                    _v = VFFSL(SL,"event.id",True) # '$event.id' on line 100, col 95
                    if _v is not None: write(_filter(_v, rawExpr='$event.id')) # from line 100, col 95.
                    write(''',true);return false;" title="''')
                    _v = VFFSL(SL,"tstrings",True)['add_zaptimer'] # "$tstrings['add_zaptimer']" on line 100, col 133
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_zaptimer']")) # from line 100, col 133.
                    write('''"><i class="material-icons material-icons-centered">rotate_90_degrees_ccw</i></a>
''')
                    if VFFSL(SL,"at",True): # generated from line 101, col 8
                        write('''\t\t\t\t\t\t\t\t<a href="javascript:void(0);" class="theme-link-color" onclick="addAutoTimerEvent(\'''')
                        _v = VFFSL(SL,"sref",True) # '$sref' on line 102, col 92
                        if _v is not None: write(_filter(_v, rawExpr='$sref')) # from line 102, col 92.
                        write("""','""")
                        _v = VFFSL(SL,"channel",True) # '$channel' on line 102, col 100
                        if _v is not None: write(_filter(_v, rawExpr='$channel')) # from line 102, col 100.
                        write("""','""")
                        _v = VFFSL(SL,"title",True) # '$title' on line 102, col 111
                        if _v is not None: write(_filter(_v, rawExpr='$title')) # from line 102, col 111.
                        write("""','""")
                        _v = VFFSL(SL,"event.begin",True) # '$event.begin' on line 102, col 120
                        if _v is not None: write(_filter(_v, rawExpr='$event.begin')) # from line 102, col 120.
                        write("""','""")
                        _v = VFFSL(SL,"event.end",True) # '$event.end' on line 102, col 135
                        if _v is not None: write(_filter(_v, rawExpr='$event.end')) # from line 102, col 135.
                        write('''\');return false;" title="''')
                        _v = VFFSL(SL,"tstrings",True)['add_autotimer'] # "$tstrings['add_autotimer']" on line 102, col 170
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_autotimer']")) # from line 102, col 170.
                        write('''"><i class="material-icons material-icons-centered">history</i></a>
''')
                    if VFFSL(SL,"extEventInfoProvider",True): # generated from line 104, col 8
                        write('''\t\t\t\t\t\t\t\t<a href="''')
                        _v = VFFSL(SL,"extEventInfoProvider",True)['url'] # "$extEventInfoProvider['url']" on line 105, col 18
                        if _v is not None: write(_filter(_v, rawExpr="$extEventInfoProvider['url']")) # from line 105, col 18.
                        _v = VFFSL(SL,"quote",False)(VFFSL(SL,"event.title",True)) # '$quote($event.title)' on line 105, col 46
                        if _v is not None: write(_filter(_v, rawExpr='$quote($event.title)')) # from line 105, col 46.
                        write('''" class="theme-link-color" title="''')
                        _v = VFFSL(SL,"tstrings",True)['search_'+VFFSL(SL,"extEventInfoProvider",True)['id']] # "$tstrings['search_'+$extEventInfoProvider['id']]" on line 105, col 100
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['search_'+$extEventInfoProvider['id']]")) # from line 105, col 100.
                        write('''" target="extdb">''')
                        _v = VFFSL(SL,"extEventInfoProvider",True)['name'] # "$extEventInfoProvider['name']" on line 105, col 165
                        if _v is not None: write(_filter(_v, rawExpr="$extEventInfoProvider['name']")) # from line 105, col 165.
                        write('''</a>
''')
                    write('''\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 col-md-4 align-right" style="word-break: break-all">
\t\t\t\t\t\t<h2>''')
                    _v = VFFSL(SL,"event.date",True) # '$event.date' on line 110, col 11
                    if _v is not None: write(_filter(_v, rawExpr='$event.date')) # from line 110, col 11.
                    write('''</h2>
\t\t\t\t\t\t<span>''')
                    _v = VFFSL(SL,"event.begin",True) # '$event.begin' on line 111, col 13
                    if _v is not None: write(_filter(_v, rawExpr='$event.begin')) # from line 111, col 13.
                    write('''&nbsp;-&nbsp;''')
                    _v = VFFSL(SL,"event.end",True) # '$event.end' on line 111, col 38
                    if _v is not None: write(_filter(_v, rawExpr='$event.end')) # from line 111, col 38.
                    write('''&nbsp;(''')
                    _v = VFFSL(SL,"event.duration",True) # '$event.duration' on line 111, col 55
                    if _v is not None: write(_filter(_v, rawExpr='$event.duration')) # from line 111, col 55.
                    write(''' min.)</span>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="body">
\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t<div class="col-xs-12">
''')
                    if VFFSL(SL,"event.longdesc",True) != '': # generated from line 118, col 7
                        write('''\t\t\t\t\t\t<span data-toggle="collapse" data-target="#evenid''')
                        _v = VFFSL(SL,"dataid",True) # '$dataid' on line 119, col 56
                        if _v is not None: write(_filter(_v, rawExpr='$dataid')) # from line 119, col 56.
                        write('''" aria-expanded="false"aria-controls="collapseExample" style="cursor:pointer;">
\t\t\t\t\t\t<p>''')
                        _v = VFFSL(SL,"event.shortdesc",True) # '$event.shortdesc' on line 120, col 10
                        if _v is not None: write(_filter(_v, rawExpr='$event.shortdesc')) # from line 120, col 10.
                        write('''</p>
\t\t\t\t\t\t<i class="material-icons material-icons-centered">expand_more</i></span>
\t\t\t\t\t\t<div class="collapse" id="evenid''')
                        _v = VFFSL(SL,"dataid",True) # '$dataid' on line 122, col 39
                        if _v is not None: write(_filter(_v, rawExpr='$dataid')) # from line 122, col 39.
                        write('''">
\t\t\t\t\t\t<p>''')
                        _v = VFN(VFN(VFFSL(SL,"event.longdesc",True),"replace",False)('\n',r'<br/>'),"replace",False)('\8a',r'<br/>') # "$event.longdesc.replace('\\n',r'<br/>').replace('\\8a',r'<br/>')" on line 123, col 10
                        if _v is not None: write(_filter(_v, rawExpr="$event.longdesc.replace('\\n',r'<br/>').replace('\\8a',r'<br/>')")) # from line 123, col 10.
                        write('''</p>
\t\t\t\t\t\t</div>
''')
                    else: # generated from line 125, col 7
                        write('''\t\t\t\t\t\t<span><p>''')
                        _v = VFFSL(SL,"event.shortdesc",True) # '$event.shortdesc' on line 126, col 16
                        if _v is not None: write(_filter(_v, rawExpr='$event.shortdesc')) # from line 126, col 16.
                        write('''</p></span>
''')
                    write('''\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t</div>
\t\t</div>

''')
                write('''
''')
                dataid = VFFSL(SL,"dataid",True)+1
            write('''
<script>
\tvar t = [
''')
            for timer in VFFSL(SL,"timers",True): # generated from line 142, col 1
                write("""\t\t{'begin':""")
                _v = VFFSL(SL,"timer.begin",True) # '$timer.begin' on line 143, col 12
                if _v is not None: write(_filter(_v, rawExpr='$timer.begin')) # from line 143, col 12.
                write(""",'end':""")
                _v = VFFSL(SL,"timer.end",True) # '$timer.end' on line 143, col 31
                if _v is not None: write(_filter(_v, rawExpr='$timer.end')) # from line 143, col 31.
                write(""",'sref':'""")
                _v = VFFSL(SL,"timer.serviceref",True) # '$timer.serviceref' on line 143, col 50
                if _v is not None: write(_filter(_v, rawExpr='$timer.serviceref')) # from line 143, col 50.
                write("""'},
""")
            write('''\t];

\tvar reloadTimers = true;
\tjQuery(function() {
\t\tjQuery(\'#editTimerForm\').load(\'ajax/edittimer\');
\t\tif (t.length > 0) {
\t\t\tvar x = jQuery( ".ETV tbody" );
\t\t\tif (x != undefined)
\t\t\t\tShowTimers(t);
\t\t}
\t});
</script>

''')
        write('''
\t\t</div>
\t</div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_epgdialog = 'respond'

## END CLASS DEFINITION

if not hasattr(epgdialog, '_initCheetahAttributes'):
    templateAPIClass = getattr(epgdialog,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(epgdialog)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=epgdialog()).run()


