#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.5'
__CHEETAH_versionTuple__ = (3, 2, 5, 'final', 0)
__CHEETAH_genTime__ = 1607202289.03954
__CHEETAH_genTimestamp__ = 'Sat Dec  5 21:04:49 2020'
__CHEETAH_src__ = '/home/oe1/atv65arm/build-enviroment/builds/openatv/release/h9se/tmp/work/cortexa15hf-neon-vfpv4-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1.3.9+gitAUTOINC+868951b98c-r0/git/plugin/controllers/views/responsive/ajax/epgr.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Dec  5 21:04:43 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class epgr(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(epgr, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_80722984 = _filter
        filterName = 'WebSafe'
        if "WebSafe" in self._CHEETAH__filters:
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''
<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2 id="configtitle"><i class="material-icons material-icons-centered">refresh</i>EPG Refresh</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
<div class="body" >
\t<div id="content_main">
\t\t<div class="row clearfix vti-masked-input" id="info">
\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" id="epgrefreshcontent">
\t\t\t\t<form>
<div class="form-group">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_enabled'] # "$tstrings['er_enabled']" on line 24, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_enabled']")) # from line 24, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<input type="checkbox" name="er_enabled" value="" id="er_enabled" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 25, col 117
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 25, col 117.
        write('''">
\t\t\t\t\t\t\t\t<label for="er_enabled">&nbsp;</label>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_enable_messages'] # "$tstrings['er_enable_messages']" on line 33, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_enable_messages']")) # from line 33, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<input type="checkbox" name="er_enablemessage" value="" id="er_enablemessage" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 34, col 129
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 34, col 129.
        write('''">
\t\t\t\t\t\t\t\t<label for="er_enablemessage">&nbsp;</label>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_adapter'] # "$tstrings['er_adapter']" on line 42, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_adapter']")) # from line 42, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<select id="er_adapter" class="form-control" value="">
\t\t\t\t\t\t\t\t\t<option value="main" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['er_main'] # "$tstrings['er_main']" on line 44, col 51
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_main']")) # from line 44, col 51.
        write('''</option>
\t\t\t\t\t\t\t\t\t<option value="pip">''')
        _v = VFFSL(SL,"tstrings",True)['er_pip'] # "$tstrings['er_pip']" on line 45, col 30
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_pip']")) # from line 45, col 30.
        write('''</option>
\t\t\t\t\t\t\t\t\t<option value="pip_hidden">''')
        _v = VFFSL(SL,"tstrings",True)['er_pip_hidden'] # "$tstrings['er_pip_hidden']" on line 46, col 37
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_pip_hidden']")) # from line 46, col 37.
        write('''</option>
\t\t\t\t\t\t\t\t\t<option value="record">''')
        _v = VFFSL(SL,"tstrings",True)['er_fake_recording'] # "$tstrings['er_fake_recording']" on line 47, col 33
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_fake_recording']")) # from line 47, col 33.
        write('''</option>
\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_begin'] # "$tstrings['er_begin']" on line 57, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_begin']")) # from line 57, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<div class="input-group">
\t\t\t\t\t\t\t\t\t<span class="input-group-addon">
\t\t\t\t\t\t\t\t\t\t<i class="material-icons">access_time</i>
\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t<input type="text" name="er_begin" id="er_begin" value="" class="form-control time24" placeholder="06:30">
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_end'] # "$tstrings['er_end']" on line 72, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_end']")) # from line 72, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<div class="input-group">
\t\t\t\t\t\t\t\t\t<span class="input-group-addon">
\t\t\t\t\t\t\t\t\t\t<i class="material-icons">access_time</i>
\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t<input type="text" name="er_end" id="er_end" value="" class="form-control time24" placeholder="06:30">
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_delay_standby'] # "$tstrings['er_delay_standby']" on line 87, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_delay_standby']")) # from line 87, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t<input type="text" name="er_delay_standby" id="er_delay_standby" class="form-control" placeholder="10">
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_interval_sec'] # "$tstrings['er_interval_sec']" on line 99, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_interval_sec']")) # from line 99, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t<input type="text" name="er_interval" id="er_interval" class="form-control" placeholder="10">
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_afterevent'] # "$tstrings['er_afterevent']" on line 109, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_afterevent']")) # from line 109, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<input type="checkbox" name="er_afterevent" value="" id="er_afterevent" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 110, col 123
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 110, col 123.
        write('''">
\t\t\t\t\t\t\t\t<label for="er_afterevent">&nbsp;</label>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_force'] # "$tstrings['er_force']" on line 118, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_force']")) # from line 118, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<input type="checkbox" name="er_force" value="" id="er_force" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 119, col 113
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 119, col 113.
        write('''">
\t\t\t\t\t\t\t\t<label for="er_force">&nbsp;</label>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_wakeup'] # "$tstrings['er_wakeup']" on line 129, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_wakeup']")) # from line 129, col 16.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t<input type="checkbox" name="er_wakeup" value="" id="er_wakeup" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 130, col 115
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 130, col 115.
        write('''">
\t\t\t\t\t\t\t\t<label for="er_wakeup">&nbsp;</label>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12  col-sm-4">
\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['bouquets'] # "$tstrings['bouquets']" on line 136, col 14
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bouquets']")) # from line 136, col 14.
        write(''':&nbsp;</label>
\t\t\t\t\t\t<select id="bouquets" class="form-control show-tick" multiple></select>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-12  col-sm-4">
\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_channels'] # "$tstrings['at_channels']" on line 140, col 14
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_channels']")) # from line 140, col 14.
        write(''':&nbsp;</label>
\t\t\t\t\t\t<select id="channels" class="form-control show-tick" multiple data-live-search="true"></select>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<span id="er_hasAT">
\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_inherit_autotimer'] # "$tstrings['er_inherit_autotimer']" on line 149, col 17
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_inherit_autotimer']")) # from line 149, col 17.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t<input type="checkbox" name="er_inherit_autotimer" value="" id="er_inherit_autotimer" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 150, col 138
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 150, col 138.
        write('''">
\t\t\t\t\t\t\t\t\t<label for="er_inherit_autotimer">&nbsp;</label>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['er_parse_autotimer'] # "$tstrings['er_parse_autotimer']" on line 158, col 17
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_parse_autotimer']")) # from line 158, col 17.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t<input type="checkbox" name="er_parse_autotimer" value="" id="er_parse_autotimer" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 159, col 134
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 159, col 134.
        write('''">
\t\t\t\t\t\t\t\t\t<label for="er_parse_autotimer">&nbsp;</label>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</span>
\t\t\t</div>
\t\t</form>
\t</div>
</div>
\t<div class="row clearfix">
\t\t<div class="col-xs-12 align-center">
\t\t\t<div id="actions">
\t\t\t\t<button id="epgrbutton0" class="atbtn btn btn-themed waves-effect">
\t\t\t\t\t<i class="material-icons">autorenew</i>
\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['reload'] # "$tstrings['reload']" on line 175, col 12
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['reload']")) # from line 175, col 12.
        write('''</span>
\t\t\t\t</button>
\t\t\t\t<button id="epgrbutton1" class="atbtn btn btn-themed waves-effect">
\t\t\t\t\t<i class="material-icons">save</i>
\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['er_save'] # "$tstrings['er_save']" on line 179, col 12
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_save']")) # from line 179, col 12.
        write('''</span>
\t\t\t\t</button>
\t\t\t\t<button id="epgrbutton2" class="atbtn btn btn-themed waves-effect">
\t\t\t\t\t<i class="material-icons">refresh</i>
\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['er_refresh'] # "$tstrings['er_refresh']" on line 183, col 12
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['er_refresh']")) # from line 183, col 12.
        write('''</span>
\t\t\t\t</button>
\t\t\t</div>
\t\t</div>
\t</div>
\t<div id="statuscont" style="display:none;margin-top: 10px;">
\t\t<div id="statusbox" class="ui-state-error ui-corner-all" style="padding: 0 0.7em;"> 
\t\t\t<p>
\t\t\t\t<span id="statusicon" class="ui-icon ui-icon-alert" style="margin-right: 0.3em;"></span> 
\t\t\t\t<span id="statustext"></span>
\t\t\t</p>
\t\t</div>
\t</div>
\t\t</div>
\t\t</div>
\t\t</div>
\t\t</div>
\t\t</div>
\t</div>
</div>

<script src="/modern/js/vti-responsive-epgr.min.js"></script>
<script src="/modern/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script>
<script>
\tjQuery.AdminBSB.input.activate();
\tjQuery.AdminBSB.select.activate();
\tvar VTiMaskedInput = jQuery(\'.vti-masked-input\');
\tVTiMaskedInput.find(\'.time24\').inputmask(\'hh:mm\', { placeholder: \'__:__ _m\', alias: \'time24\', hourFormat: \'24\' });
\tjQuery(\':text\').blur();
</script>

''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_80722984
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_epgr = 'respond'

## END CLASS DEFINITION

if not hasattr(epgr, '_initCheetahAttributes'):
    templateAPIClass = getattr(epgr,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(epgr)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=epgr()).run()


